extends TextureButton


# Called when the node enters the scene tree for the first time.
func _ready():
	# Connect the pressed signal to the _on_Button_pressed function
	self.connect("pressed", Callable(self, "_on_Button_pressed"))
	

		

func _process(delta):
		#Checks if the texture needs to be set
	if Global.selected_texture:
		self.texture_normal = Global.selected_texture

# Function to handle the button press
func _on_Button_pressed():
	
	
	
	Global.teamScreenVisible = false

	Global.teamSelectionVisible = true
	

#Function to set texture of the button
